IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Coupon uses

Coupon usage in bookings

The coupon use object

Attributes

iduuid

Unique identifier

booking_iduuid
bookings.id

The booking the coupon is used in

coupon_iduuid
coupons.id

The coupon that is used

created_attimestamp with time zone

Creation timestamp

The coupon use object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "booking_id": "00000000-0000-0000-0000-000000000000",
  "coupon_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T04:00:21.475Z"
}

List coupon uses

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

The booking the coupon is used in

coupon_idFilter<uuid>
coupons.id

The coupon that is used

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

A list of coupon uses with the selected columns

206

Partial Content

GET /coupon_uses
curl -X GET "https://api.bookingmood.com/v1/coupon_uses?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create coupon uses

Body

Partial<CouponUse> | Array<Partial<CouponUse>>

Responses

201

The newly created coupon uses with the selected columns

POST /coupon_uses
curl -X POST "https://api.bookingmood.com/v1/coupon_uses" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete coupon uses

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

The booking the coupon is used in

coupon_idFilter<uuid>
coupons.id

The coupon that is used

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

204

The deleted coupon uses with the selected columns

DELETE /coupon_uses
curl -X DELETE "https://api.bookingmood.com/v1/coupon_uses" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update coupon uses

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

The booking the coupon is used in

coupon_idFilter<uuid>
coupons.id

The coupon that is used

created_atFilter<timestamp with time zone>

Creation timestamp

Body

Partial<CouponUse>

Responses

204

The updated coupon uses with the selected columns

PATCH /coupon_uses
curl -X PATCH "https://api.bookingmood.com/v1/coupon_uses" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'